%{?nodejs_find_provides_and_requires}

%global packagename hash-base
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 3.0.3
Release: 1%{?dist}.3
Summary: abstract base class for hash-streams
License: MIT
URL: https://github.com/crypto-browserify/hash-base
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1: tests-%{version}.tar.bz2
Source10: dl-tests.sh

BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(inherits) >= 2.0.1
BuildRequires: npm(inherits) < 3.0.0
%if 0%{?enable_tests}
BuildRequires: npm(tape) >= 4.2.0
BuildRequires: npm(tape) < 5.0.0
%endif

%description
Abstract base class to inherit from if you want to create streams
implementing the same API as node crypto Hash.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/node test/*.js
%endif


%files
%license LICENSE
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Sep 21 2016 Oleg Girko <ol@infoserver.lv> - 3.0.3-1
- Initial package.
